:host {
    position: initial;

    &.centered {
        align-items: center;
        display: flex;
    }
}

div.alternate-buttons-container {
    div.alternate-button {
        cursor: pointer;
        display: flex;

        > div {
            display: flex;
            flex: 1;
            justify-content: center;
        }
    }
}

div.html-buttons-container {
    display: flex;

    div.html-button {
        cursor: pointer;
        display: inline-block;
        position: relative;
    }
}

img.check {
    position: absolute;
    width: 24px;
    height: 24px;

    &.top {
        top: -9px;
    }


    &.right {
        right: 3px;
    }


    &.bottom {
        bottom: 0;
    }


    &.left {
        left: 3px;
    }
}



div.content-area {
    background: {
        color: #FFFFFF;
        image: url('../../../../assets/images/screen_shared_bg_popup.png');
        size: cover;
        repeat: no-repeat;
    }

    display: flex;
    margin: auto;
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    max-width: 1000px;
    z-index: 1;

    div.content-box {
        margin: auto;
        position: relative;
        // width: 100%; height: 100%;
        // overflow: auto;
            
        // @media (max-width: 768px) {
        //     .content-container {
        //         padding: 48px 0 8px 0;
                
        //         /deep/ {
        //             >.container-fluid {
        //                 height: inherit;
        //             }
        //         }
        //     }
        // }

        button.navigation-button {
            position: absolute;

            top: 50%;
            transform: translateY(-50%);
            
            @media (max-width: 768px) {
                position: fixed;
            }
    
            background-color: transparent;

            border: none;

            cursor: pointer;
    
            &.disabled {
                cursor: default;
                opacity: 0.5;
                pointer-events: none;
            }
    
            &.back {
                left: -40px;


            }
            
            &.next {
                right: -40px;

            }
        }
    
        img.close-button {
            cursor: pointer;
            position: absolute;
            top: 10px; right: 10px;
        }

        div.content-container {
            width: 100%; height: 100%;
        }
    }
}